MPI_Group_translate_ranks(3)

NAME
MPI_Group_translate_ranks - Translates the ranks of processes in one group to those in another group.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Group_translate_ranks(MPI_Group group1, int n,
	int *ranks1, MPI_Group group2, int *ranks2)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_GROUP_TRANSLATE_RANKS(GROUP1, N, RANKS1, GROUP2, RANKS2,
		IERROR)
	INTEGER	GROUP1, N, RANKS1(*), GROUP2, RANKS2(*), IERROR

C++ Syntax
#include <mpi.h>
static void Group::Translate_ranks (const Group& group1, int n,
	const int ranks1[], const Group& group2, int ranks2[])

INPUT PARAMETERS

group1
    First group (handle).

n   Number of ranks in ranks1 and ranks2 arrays (integer).

ranks1
    Array of zero or more valid ranks in group1.

group2
    Second group (handle).

OUTPUT PARAMETERS

ranks2
    Array of corresponding ranks in group2, MPI_UNDEFINED when no correspondence exists.

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
This function is important for determining the relative numbering of the same processes in two different groups. For instance, if one knows the ranks of certain processes in the group of MPI_COMM_WORLD, one might want to know their ranks in a subset of that group.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.